<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('db_logbooklist', function (Blueprint $table) {
            $table->id();
            $table->string('kelompok', 11)->nullable();
            $table->string('kode', 10)->nullable();
            $table->string('kepanjangan', 150)->nullable();
            $table->integer('kuota')->nullable();
            $table->integer('target')->nullable();
            $table->integer('kuota2')->nullable();
            $table->integer('target2')->nullable();
            $table->integer('kuota3')->nullable();
            $table->integer('target3')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('db_logbooklist');
    }
};
